/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.pmarlen.caja.view;

import com.pmarlen.caja.model.PedidoVentaDetalleTableModel;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.JLabel;

/**
 *
 * @author alfredo
 */
public class PanelVenta extends javax.swing.JPanel {

	/**
	 * Creates new form PanelVenta
	 */
	public PanelVenta() {
		initComponents();
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        codigoBuscar = new javax.swing.JTextField();
        jScrollPane1 = new javax.swing.JScrollPane();
        detalleVentaJTable = new javax.swing.JTable();
        jPanel3 = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        total = new javax.swing.JTextField();
        jPanel4 = new javax.swing.JPanel();
        terminar = new javax.swing.JButton();
        cancelar = new javax.swing.JButton();
        jPanel5 = new javax.swing.JPanel();
        imgProducto = new javax.swing.JLabel();

        setLayout(new java.awt.BorderLayout());

        jPanel2.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        jLabel1.setIcon(getBarCodeImageIcon());
        jPanel2.add(jLabel1);

        codigoBuscar.setColumns(10);
        codigoBuscar.setFont(new java.awt.Font("Tahoma", 0, 24)); // NOI18N
        jPanel2.add(codigoBuscar);

        add(jPanel2, java.awt.BorderLayout.NORTH);

        jScrollPane1.setPreferredSize(new java.awt.Dimension(500, 200));

        detalleVentaJTable.setFont(new java.awt.Font("Tahoma", 0, 24)); // NOI18N
        detalleVentaJTable.setModel(new PedidoVentaDetalleTableModel());
        detalleVentaJTable.setRowHeight(28);
        jScrollPane1.setViewportView(detalleVentaJTable);

        add(jScrollPane1, java.awt.BorderLayout.CENTER);

        jPanel3.setLayout(new java.awt.GridLayout(2, 1));

        jPanel1.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 24)); // NOI18N
        jLabel2.setText("Total :");
        jPanel1.add(jLabel2);

        total.setColumns(12);
        total.setFont(new java.awt.Font("Tahoma", 0, 24)); // NOI18N
        total.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jPanel1.add(total);

        jPanel3.add(jPanel1);

        jPanel4.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.CENTER, 25, 5));

        terminar.setText("Terminar Venta [ F2 ]");
        jPanel4.add(terminar);

        cancelar.setText("Cancelar [ F12 ]");
        jPanel4.add(cancelar);

        jPanel3.add(jPanel4);

        add(jPanel3, java.awt.BorderLayout.SOUTH);

        jPanel5.setPreferredSize(new java.awt.Dimension(180, 10));
        jPanel5.add(imgProducto);

        add(jPanel5, java.awt.BorderLayout.LINE_END);
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton cancelar;
    private javax.swing.JTextField codigoBuscar;
    private javax.swing.JTable detalleVentaJTable;
    private javax.swing.JLabel imgProducto;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JButton terminar;
    private javax.swing.JTextField total;
    // End of variables declaration//GEN-END:variables

	/**
	 * @return the cancelar
	 */
	public javax.swing.JButton getCancelar() {
		return cancelar;
	}

	/**
	 * @return the codigoBuscar
	 */
	public javax.swing.JTextField getCodigoBuscar() {
		return codigoBuscar;
	}

	/**
	 * @return the detalleVentaJTable
	 */
	public javax.swing.JTable getDetalleVentaJTable() {
		return detalleVentaJTable;
	}

	/**
	 * @return the terminar
	 */
	public javax.swing.JButton getTerminar() {
		return terminar;
	}

	/**
	 * @return the total
	 */
	public javax.swing.JTextField getTotal() {
		return total;
	}

	public JLabel getImgProducto() {
		return imgProducto;
	}
	
	private javax.swing.ImageIcon getBarCodeImageIcon(){
		javax.swing.ImageIcon ii = null;
		try{
			ii = new ImageIcon(ImageIO.read(getClass().getResourceAsStream("/images/barcode_icon_52x24.png")));
		} catch(Exception ioe){
		}
		return ii;
	}

}
